Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.scheduling
Class JobTrigger

    java.lang.Object
      com.jaspersoft.jasperserver.ws.scheduling.JobTrigger

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JobCalendarTrigger, JobSimpleTrigger

    public abstract class JobTrigger

extends java.lang.Object
implements java.io.Serializable

JobTrigger.java This file was auto-generated from WSDL by the Apache Axis 1.3 Oct 05, 2005 (05:23:37 EDT) WSDL2Java emitter.

See Also:
  Serialized Form

Constructor Summary
`JobTrigger()`
`JobTrigger(long id, int version, java.lang.String timezone, java.util.Calendar startDate, java.util.Calendar endDate)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.util.Calendar` | `getEndDate()` Gets the endDate value for this JobTrigger.
`long` | `getId()` Gets the id value for this JobTrigger.
`java.util.Calendar` | `getStartDate()` Gets the startDate value for this JobTrigger.
`java.lang.String` | `getTimezone()` Gets the timezone value for this JobTrigger.
`int` | `getVersion()` Gets the version value for this JobTrigger.
`int` | `hashCode()`
`void` | `setEndDate(java.util.Calendar endDate)` Sets the endDate value for this JobTrigger.
`void` | `setId(long id)` Sets the id value for this JobTrigger.
`void` | `setStartDate(java.util.Calendar startDate)` Sets the startDate value for this JobTrigger.
`void` | `setTimezone(java.lang.String timezone)` Sets the timezone value for this JobTrigger.
`void` | `setVersion(int version)` Sets the version value for this JobTrigger.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobTrigger

    public JobTrigger()

### JobTrigger

    public JobTrigger(long id,
                      int version,
                      java.lang.String timezone,
                      java.util.Calendar startDate,
                      java.util.Calendar endDate)

Method Detail

### getId

    public long getId()

  Gets the id value for this JobTrigger.

  Returns:
    id

### setId

    public void setId(long id)

  Sets the id value for this JobTrigger.

  Parameters:
    `id` -

### getVersion

    public int getVersion()

  Gets the version value for this JobTrigger.

  Returns:
    version

### setVersion

    public void setVersion(int version)

  Sets the version value for this JobTrigger.

  Parameters:
    `version` -

### getTimezone

    public java.lang.String getTimezone()

  Gets the timezone value for this JobTrigger.

  Returns:
    timezone

### setTimezone

    public void setTimezone(java.lang.String timezone)

  Sets the timezone value for this JobTrigger.

  Parameters:
    `timezone` -

### getStartDate

    public java.util.Calendar getStartDate()

  Gets the startDate value for this JobTrigger.

  Returns:
    startDate

### setStartDate

    public void setStartDate(java.util.Calendar startDate)

  Sets the startDate value for this JobTrigger.

  Parameters:
    `startDate` -

### getEndDate

    public java.util.Calendar getEndDate()

  Gets the endDate value for this JobTrigger.

  Returns:
    endDate

### setEndDate

    public void setEndDate(java.util.Calendar endDate)

  Sets the endDate value for this JobTrigger.

  Parameters:
    `endDate` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.